# Table of contents

* [Lagoon](README.md)
* [Getting Started](getting-started.md)

## Using Lagoon - The Basics

* [Overview](using-lagoon-the-basics/index.md)
* [Local Development Environments](using-lagoon-the-basics/local-development-environments.md)
* [Set Up a New Project](using-lagoon-the-basics/setup_project.md)
* [Configure Webhooks](using-lagoon-the-basics/configure-webhooks.md)
* [First Deployment](using-lagoon-the-basics/first-deployment.md)
* [.lagoon.yml](using-lagoon-the-basics/lagoon-yml.md)
* [docker-compose.yml](using-lagoon-the-basics/docker-compose-yml.md)
* [Build and Deploy Process](using-lagoon-the-basics/build-and-deploy-process.md)
* [Going Live](using-lagoon-the-basics/going-live.md)

## Using Lagoon - Advanced

* [Service Types](using-lagoon-advanced/service-types.md)
* [Environment Types](using-lagoon-advanced/environment-types.md)
* [Environment Variables](using-lagoon-advanced/environment-variables.md)
* [Base Images](using-lagoon-advanced/base-images.md)
* [Workflows](using-lagoon-advanced/workflows.md)
* [Active/Standby](using-lagoon-advanced/active_standby.md)
* [Backups](using-lagoon-advanced/backups.md)
* [Remote Shell](using-lagoon-advanced/remote-shell.md)
* [GraphQL](using-lagoon-advanced/graphql.md)
* [Node.js Graceful Shutdown](using-lagoon-advanced/nodejs.md)
* [Setting up Xdebug with Lagoon](using-lagoon-advanced/setting-up-xdebug-with-lagoon.md)

## Drupal

* [Services](drupal/services/README.md)
  * [MariaDB](drupal/services/mariadb.md)
  * [Redis](drupal/services/redis.md)
  * [Solr](drupal/services/solr.md)
  * [Varnish](drupal/services/varnish.md)
* [Step by Step: Getting Drupal ready to run on Lagoon](drupal/step-by-step-getting-drupal-ready-to-run-on-lagoon.md)
* [First Deployment of Drupal](drupal/first-deployment-of-drupal.md)
* [Drush 9](drupal/drush-9.md)
* [Subfolders](drupal/subfolders.md)

## Logging

* [Logging](logging/logging.md)
* [Kibana Examples](logging/kibana-examples.md)

## Docker Images

* [Elasticsearch](docker-images/elasticsearch.md)
* [MariaDB](docker-images/mariadb/README.md)
  * [MariaDB-Drupal](docker-images/mariadb/mariadb-drupal.md)
* [MongoDB](docker-images/mongodb.md)
* [NGINX](docker-images/nginx/README.md)
  * [NGINX-Drupal](docker-images/nginx/nginx-drupal.md)
* [PHP-CLI](docker-images/php-cli/README.md)
  * [PHP-CLI-Drupal](docker-images/php-cli/php-cli-drupal.md)
* [PHP-FPM](docker-images/php-fpm.md)
* [PostgreSQL](docker-images/postgres.md)
* [RabbitMQ](docker-images/rabbitmq.md)
* [Solr](docker-images/solr/README.md)
  * [Solr-Drupal](docker-images/solr/solr-drupal.md)
* [Redis](docker-images/redis/README.md)
  * [Redis-persistent](docker-images/redis/redis-persistent.md)
* [Varnish](docker-images/varnish/README.md)
  * [Varnish-Drupal](docker-images/varnish/varnish-drupal.md)

## Administering Lagoon

* [GraphQL API](administering-lagoon/graphql-queries.md)
* [Role-Based Access Control \(RBAC\)](administering-lagoon/rbac.md)
* [Harbor](administering-lagoon/using_harbor/README.md)
  * [Security Scanning](administering-lagoon/using_harbor/security_scanning.md)
  * [Harbor Settings](administering-lagoon/using_harbor/harbor-settings/README.md)
    * [Harbor-Core](administering-lagoon/using_harbor/harbor-settings/harbor-core.md)
    * [Harbor-Database](administering-lagoon/using_harbor/harbor-settings/harbor-database.md)
    * [Harbor-Jobservice](administering-lagoon/using_harbor/harbor-settings/harbor-jobservice.md)
    * [Harbor-Trivy](administering-lagoon/using_harbor/harbor-settings/harbor-trivy.md)
    * [HarborRegistry](administering-lagoon/using_harbor/harbor-settings/harborregistry.md)
    * [HarborRegistryCtl](administering-lagoon/using_harbor/harbor-settings/harborregistryctl.md)

## Contributing to Lagoon

* [Developing Lagoon](contributing-to-lagoon/developing-lagoon.md)
* [Install Local Kubernetes Cluster for Lagoon](contributing-to-lagoon/install-local-kubernetes-cluster-for-lagoon.md)
* [Install Lagoon 1.x on OpenShift](contributing-to-lagoon/install/README.md)
  * [OpenShift Requirements](contributing-to-lagoon/install/openshift_requirements.md)
* [Code of Conduct](contributing-to-lagoon/code-of-conduct.md)
* [Contributing](contributing-to-lagoon/contributing.md)
* [Tests](contributing-to-lagoon/tests.md)
* [API Debugging](contributing-to-lagoon/api-debugging.md)

## Resources

* [FAQ](resources/faq.md)
* [Glossary](resources/glossary.md)
* [Tutorials, Webinars, and Videos](resources/tutorials-and-webinars.md)
* [Lagoon Examples](https://github.com/uselagoon/lagoon-examples)

