# Contributing

We gladly welcome any and all contributions to Lagoon! 

### What kind of contributions do we need? Examples!

Right now one of our biggest needs is putting together examples of Lagoon working with various content management systems, etc, other than Drupal. 

If you can spin up an open source CMS or framework that we don’t currently have as a docker-compose stack, send us a PR.  Look at the existing examples at [https://github.com/uselagoon/lagoon-examples](https://github.com/uselagoon/lagoon-examples) for tips, pointers and starter issues.

One small catch  –  wherever possible, we’d like them to be built using our base Docker hub images [https://hub.docker.com/u/uselagoon](https://hub.docker.com/u/uselagoon) –  if we don’t have a suitable image, or our images need modifying  –  throw us a PR \(if you can\) or create an issue \(so someone else can\) at [https://github.com/uselagoon/lagoon-images](https://github.com/uselagoon/lagoon-images).

Help us improve our existing examples, if you can - are we following best practices, is there something we’re doing that doesn’t make sense?

Bonus points for anyone that helps contribute to tests for any of these examples  –  we’ve got some example tests in a couple of the projects you can use for guidance  –  [https://github.com/amazeeio/drupal-example-simple/blob/8.x/TESTING.md](https://github.com/amazeeio/drupal-example-simple/blob/8.x/TESTING.md).  The testing framework we’re using is [Leia](https://github.com/lando/leia), from the excellent team behind [Lando](https://lando.dev/).

Help us to document our other examples better – we’re not expecting a full manuscript, but tidy-ups, links to helpful resources and clarifying statements are all super-awesome.

If you have any questions, reach out to us on RocketChat!

## I found a security issue 🔓

We take security very seriously. If you discover a security issue or think you found one, please bring it to the maintainers' attention.

{% hint style="danger" %}
Please send your findings to [hello@amazee.io](mailto:hello@amazee.io). Please **DO NOT** file a GitHub issue for them.
{% endhint %}

Security reports are greatly appreciated and will receive public karma and swag! We're also working on a Bug Bounty system.

## I found an issue

We're always interested in fixing issues, therefore issue reports are very welcome. Please make sure to check that your issue does not already exist in the [issue queue](https://github.com/amazeeio/lagoon/issues).

## I have a feature request or idea

Cool! Create an [issue](https://github.com/amazeeio/lagoon/issues) and we're happy to look over it. We can't guarantee that it will be implemented. But we are always interested in hearing ideas of what we could bring to Lagoon.

Another good way is also to talk to us via RocketChat about your idea. [Join today](https://amazeeio.rocket.chat/) in the channel \#lagoon.

## I wrote some code

Epic! Please send us a pull request for it, we will do our best to review it and merge it if possible.

